lw0=-2.995732274
TC=0.382721761
TA=-0.819958347
TG=-0.59180071
CA=-0.413729162
CG=-0.610038409
dc=-2.813411
tc=-0.693147181

for lw2 in 0 0.693147181 
do
    mkdir lw2=$lw2
    for lw1 in 0 -0.693147181 
    do
	mkdir lw2=$lw2/lw1=$lw1
	for HI in 0 -2.995732
	do
	    mkdir lw2=$lw2/lw1=$lw1/HI=$HI
	    scale=`cold --model psgetscaledtchange --modelfile pssimmodels -t simtree -n 0 --initprobs 0.03,0.2,0.77 -d "../../w=0.03w=2/positivesites000000" --initpars "$lw0,$lw1,$lw2,$dc,$tc,$CA,$TC,$TA,$TG,$CG,$HI" | awk '$1==0{print $2}' | tail -n1`
#	    echo "	    cold --simulate 150,27,13579 -t simtree --model pssimdtchange --modelfile pssimmodels --unnormalised 0 --output shortpos --initpars $scale,$lw2,$dc,$tc,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs"
	    cold --simulate 150,27,13579 -t simtree --model pssimdtchange --modelfile pssimmodels --unnormalised 0 --output shortpos --initpars $scale,$lw2,$dc,$tc,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs
#	    echo "	    cold --simulate 150,180,13579 -t simtree --model pssimdtchange --modelfile pssimmodels --unnormalised 0 --output shortneu --initpars $scale,$lw1,$dc,$tc,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs"
	    cold --simulate 150,180,13579 -t simtree --model pssimdtchange --modelfile pssimmodels --unnormalised 0 --output shortneu --initpars $scale,$lw1,$dc,$tc,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs
#	    echo "cold --simulate 150,693,13579 -t simtree --model pssimdtchange --modelfile pssimmodels --unnormalised 0 --output shortneg --initpars $scale,$lw0,$dc,$tc,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs"
	    cold --simulate 150,693,13579 -t simtree --model pssimdtchange --modelfile pssimmodels --unnormalised 0 --output shortneg --initpars $scale,$lw0,$dc,$tc,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs
	    for ((i=0;i<2;i++))
	    do
		for ((j=0;j<(10-5*$i);j++))
		do
		    for ((k=0;k<10;k++))
		    do
			join shortpos000$i$j$k shortneu000$i$j$k | join - shortneg000$i$j$k | awk '/693/{print "17 900"};/seq/{print $1,$2$3$4}' > sim000$i$j$k
		    done
		done
	    done
	    mv sim00* lw2=$lw2/lw1=$lw1/HI=$HI
	done
    done
done

tar -cf simulations.tar lw*
gzip simulations.tar
